#include "WPILib.h"
#ifndef ENCODER_PID_H
#define ENCODER_PID_H
#define MAX_AUTO_DISTANCE 132.0f
class DistancePID: public PIDSource {
	public:
		DistancePID(double r, UINT32 port);//set the encoder to use
		virtual ~DistancePID();
		virtual double PIDGet();//the nessescary function
		double DistGet(); //For Debugging the encoders
		void Reset();
	private:
		double CalcDist();//turn the encoder ticks into distance
		double distance;
		double radius;
		double dist;
		Counter * SourceEnc;
};

#endif
